---
# docker-compose file for nextcloud server

# docker login dkregistry.xai-corp.net:5000
# docker-compose build && docker push dkregistry.xai-corp.net:5000/xaicorp/nextcloud:latest
# DOCKER_HOST=dkhost:2376 docker stack deploy --with-registry-auth -c docker-compose-prod.yml owncloud

version: '3.4'
services:

  app:
    build:
      context: .
      dockerfile: ./Dockerfile-mono
      args:
        NC_VERSION: ${NC_VERSION:-17}

    volumes:
      - ./config:/var/www/html/config
